org.apache.lucene.search.suggest.analyzing

## Enum BlendedInfixSuggester.BlenderType

- java.lang.Object
- - java.lang.Enum<BlendedInfixSuggester.BlenderType>
  - - org.apache.lucene.search.suggest.analyzing.BlendedInfixSuggester.BlenderType

All Implemented Interfaces:
  Serializable, Comparable<BlendedInfixSuggester.BlenderType>

Enclosing class:
  BlendedInfixSuggester

    public static enum BlendedInfixSuggester.BlenderType
    extends Enum<BlendedInfixSuggester.BlenderType>

The different types of blender.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CUSTOM` Application dependent; override `BlendedInfixSuggester.calculateCoefficient(int)` to compute it.
`POSITION_EXPONENTIAL_RECIPROCAL` weight/pow(1+position, exponent)
`POSITION_LINEAR` weight*(1 - 0.10*position)
`POSITION_RECIPROCAL` weight/(1+position)

### Method Summary

All Methods Static Methods Concrete Methods
`static BlendedInfixSuggester.BlenderType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BlendedInfixSuggester.BlenderType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CUSTOM

    public static final BlendedInfixSuggester.BlenderType CUSTOM

Application dependent; override `BlendedInfixSuggester.calculateCoefficient(int)` to compute it.

#### POSITION_LINEAR

    public static final BlendedInfixSuggester.BlenderType POSITION_LINEAR

weight*(1 - 0.10*position)

#### POSITION_RECIPROCAL

    public static final BlendedInfixSuggester.BlenderType POSITION_RECIPROCAL

weight/(1+position)

#### POSITION_EXPONENTIAL_RECIPROCAL

    public static final BlendedInfixSuggester.BlenderType POSITION_EXPONENTIAL_RECIPROCAL

weight/pow(1+position, exponent)

### Method Detail

#### values

    public static BlendedInfixSuggester.BlenderType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BlendedInfixSuggester.BlenderType c : BlendedInfixSuggester.BlenderType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BlendedInfixSuggester.BlenderType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null